> ## Documentation Index
> Fetch the complete documentation index at: https://www.artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a column hashing salt

> Creates a new column hashing salt for the authenticated company.

`POST /column-hashing-salts`

## Authorization

* `Authorization` (header): API key passed as a Bearer token in the Authorization header.

## Body (application/json)

* `description` (string)
* `name` (string, required)
* `salt` (string)

## Example request

```bash
curl --request POST \
  --url https://api.artie.com/column-hashing-salts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "description": "<string>",
  "name": "<string>",
  "salt": "<string>"
}'
```

## Responses

### 200 OK

* `columnHashingSalt` (object, required)
  * `createdAt` (string<date-time>)
  * `description` (string)
  * `name` (string, required)
  * `updatedAt` (string<date-time>)
  * `uuid` (string<uuid>, required)
* `salt` (string, required)

```json
{
  "columnHashingSalt": {
    "createdAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "name": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "salt": "<string>"
}
```

### 400 Bad Request

### 500 Internal Server Error